io.vertx.rxjava.ext.auth.oauth2.providers

## Class DropboxAuth

- java.lang.Object
- - io.vertx.rxjava.ext.auth.oauth2.providers.DropboxAuth

-     public class DropboxAuth
      extends Object

  Simplified factory to create an for Dropbox.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<DropboxAuth>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DropboxAuth(DropboxAuth delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret)` Create a OAuth2Auth provider for Dropbox
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for Dropbox
    `DropboxAuth` | `getDelegate()`
    `static DropboxAuth` | `newInstance(DropboxAuth arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<DropboxAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### DropboxAuth

          public DropboxAuth(DropboxAuth delegate)

  - ### Method Detail

    - #### getDelegate

          public DropboxAuth getDelegate()

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret)

      Create a OAuth2Auth provider for Dropbox
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by Dropbox
        `clientSecret` - the client secret given to you by Dropbox
      Returns:

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret,
                                          HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for Dropbox
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by Dropbox
        `clientSecret` - the client secret given to you by Dropbox
        `httpClientOptions` - custom http client options
      Returns:

    - #### newInstance

          public static DropboxAuth newInstance(DropboxAuth arg)

Copyright © 2017. All rights reserved.